MediaWiki:Common.css

From WikiPathways

(Difference between revisions)
Jump to: navigation, search
(Removing all content from page)
Line 1: Line 1:
-
/** CSS placed here will be applied to all skins */
 
-
/*****
 
-
* Panels for frontpage
 
-
******/
 
-
.helphint {
 
-
        margin-left:1em;
 
-
        margin-right:1em;
 
-
}
 
-
 
-
 
-
.frontPagePanel {
 
-
font: inherit;
 
-
}
 
-
 
-
div.frontPagePanel {
 
-
vertical-align: top;
 
-
height: 50%;
 
-
width: 50%;
 
-
padding-top: 0.3em;
 
-
        padding-left: 0.4em;
 
-
        padding-right: 0.3em;
 
-
}
 
-
 
-
h2.frontPagePanel {
 
-
margin-top: 0;
 
-
font-size: 120%;
 
-
font-weight: bold;
 
-
text-indent: 0.4em;
 
-
        vertical-align: middle;
 
-
        padding: 0.2em 0.4em;
 
-
}
 
-
 
-
/** yellow is the new purple */
 
-
.yellowBg {
 
-
background-color: #ffffff;
 
-
border: 1px solid #ffffff;
 
-
}
 
-
.yellowFg {
 
-
background-color: #ffffdd;
 
-
border:1px solid #a3b0bf;
 
-
}
 
-
.redBg {
 
-
background-color: #fffcfa;
 
-
border: 1px solid #f2cdcd;
 
-
}
 
-
.redFg {
 
-
background-color:#ef8b88;
 
-
border:1px solid #a3b0bf;
 
-
}
 
-
 
-
.greenBg {
 
-
background-color:  #f5fff8;
 
-
border: 1px solid #cef2e0;
 
-
}
 
-
.greenFg {
 
-
background-color:#cef2e0;
 
-
border:1px solid #a3b0bf;
 
-
}
 
-
 
-
.blueBg {
 
-
background-color: #f5faff;
 
-
border: 1px solid #cedff2;
 
-
}
 
-
.blueFg {
 
-
background-color: #cedff2;
 
-
border:1px solid #a3b0bf;
 
-
}
 
-
 
-
/*****
 
-
** Table formatting
 
-
*****/
 
-
  table.wikitable,
 
-
  table.prettytable {
 
-
      margin:1em 1em 1em 0;
 
-
      background:#F9F9F9;
 
-
      border:1px #AAA solid;
 
-
      border-collapse:collapse;
 
-
      }
 
-
 
-
  table.wikitable th, table.wikitable td,
 
-
  table.prettytable th, table.prettytable td {
 
-
      border:1px #AAA solid;
 
-
      padding:0.2em;
 
-
      }
 
-
 
-
  table.wikitable th,
 
-
  table.prettytable th {
 
-
      background:#F2F2F2;
 
-
      text-align:center;
 
-
      }
 
-
 
-
  table.wikitable caption,
 
-
  table.prettytable caption {
 
-
      margin-left:inherit;
 
-
      margin-right:inherit;
 
-
      }
 
-
 
-
/******
 
-
* Rounded corners in Mozilla
 
-
******/
 
-
#p-cactions ul li, #p-cactions ul li a { 
 
-
  -moz-border-radius-topleft: 1em;
 
-
  -moz-border-radius-topright: 1em;
 
-
}
 
-
#content {
 
-
  -moz-border-radius-topleft: 1em;
 
-
  -moz-border-radius-bottomleft: 1em;
 
-
}
 
-
div.pBody {
 
-
  -moz-border-radius-topright: 1em;
 
-
  -moz-border-radius-bottomright: 1em;
 
-
}
 
-
 
-
/* same following the css3 draft specs, any browsers supporting this? */
 
-
#p-cactions ul li, #p-cactions ul li a { 
 
-
  border-radius-topleft: 1em;
 
-
  border-radius-topright: 1em;
 
-
}
 
-
#content {
 
-
  border-radius-topleft: 1em;
 
-
  border-radius-bottomleft: 1em;
 
-
}
 
-
div.pBody {
 
-
  border-radius-topright: 1em;
 
-
  border-radius-bottomright: 1em;
 
-
}
 

Revision as of 14:37, 7 January 2008


Personal tools